Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Persistence/Legacy/Notification/Gateway.php
Go to the documentation of this file.
1 <?php
2
7 declare(strict_types=1);
8
9 namespace eZ\Publish\Core\Persistence\Legacy\Notification;
10
11 use eZ\Publish\SPI\Persistence\Notification\CreateStruct;
12 use eZ\Publish\SPI\Persistence\Notification\Notification;
13
14 abstract class Gateway
15 {
23 abstract public function insert(CreateStruct $notification): int;
24
32 abstract public function getNotificationById(int $notificationId): array;
33
42 abstract public function updateNotification(Notification $notification): void;
43
49 abstract public function countUserNotifications(int $userId): int;
50
58 abstract public function countUserPendingNotifications(int $userId): int;
59
67 abstract public function loadUserNotifications(int $userId, int $offset = 0, int $limit = -1): array;
68
72 abstract public function delete(int $notificationId): void;
73 }
eZ\Publish\Core\Persistence\Legacy\Notification\Gateway
Definition: Persistence/Legacy/Notification/Gateway.php:15
eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\insert
insert(CreateStruct $notification)
Store Notification ValueObject in persistent storage.
eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\getNotificationById
getNotificationById(int $notificationId)
Get Notification by its id.
eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\countUserNotifications
countUserNotifications(int $userId)
eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\countUserPendingNotifications
countUserPendingNotifications(int $userId)
Count users unread Notifications.
eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\loadUserNotifications
loadUserNotifications(int $userId, int $offset=0, int $limit=-1)
eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\updateNotification
updateNotification(Notification $notification)
Update Notification ValueObject in persistent storage.
eZ\Publish\SPI\Persistence\Notification\CreateStruct
Definition: SPI/Persistence/Notification/CreateStruct.php:14
eZ\Publish\SPI\Persistence\Notification\Notification
Definition: SPI/Persistence/Notification/Notification.php:14
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.